Subject: Re: [PATCH] tc-tbf.8: Add parameter range to man page.

From: Li Wei <[email-masked]>
Date: Tue, 21 Aug 2012 08:48:25 +0800

On 08/21/2012 01:58 AM, Stephen Hemminger wrote:
> 
>>
>> Not very clear with "the generic documentation about qdisc parameters
>> which already exists on 'tc-qdisc' man page", is there a separate man page
>> that describe qdisc parameters?
>>
>> I'm reading the iproute2 and kernel code which related to TC and record the
>> value range for each parameter, I think that would be helpful for somebody
>> else.
>>
> 
> Rather than putting range on each parameter on every sub-page of tc man
> page. Why not put something in tc.8 under UNITS.
> 
> The following implies everything is floating-point which it isn't:
> 
> UNITS
>        All parameters accept a floating point number, possibly followed  by  a
>        unit.
> 
> I would like this section broken down to cover all the generic types
>   PARAMETERS
>      RATES
>      TIMES
>      SIZES
>      VALUES
> 
> Also needs to explain IEC units here.
> 
> 
>

Thanks Stephen, I got it and will try to work it out.